<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.UserBrowseMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="userBrowseResultMap" type="org.springblade.modules.platform.entity.UserBrowse">
        <id column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="goods_id" property="goodsId"/>
        <result column="times" property="times"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>


    <select id="selectUserBrowsePage" resultMap="userBrowseResultMap">
        select * from t_user_browse where is_deleted = 0
    </select>

</mapper>
